# Create a dubbing project from a YouTube URL

- **Method:** `POST`
- **Path:** `/api/v1/dubbing/projects/youtube`
- **Operation ID:** `dubbing_create_project_from_youtube_api_v1_dubbing_projects_youtube_post`
- **Tags:** Dubbing

## Effective servers

- `http://127.0.0.1:8100`

  Voice Creator Pro on this computer

## Request body

**Required:** `true`

**Content type:** `application/json`

schema: `DubbingYoutubeCreateRequest`

- **`name` (required)**: `string`
- **`target_lang` (required)**: `string`
- **`url` (required)**: `string`

  YouTube URL to download and dub
- **`clone_voices`**: `boolean`, default: `false`
- **`default_voice_id`**: `string | null`
- **`default_voice_model`**: `string | null`
- **`default_voice_source`**: `string`, default: `"library"`
- **`keep_background`**: `boolean`, default: `true`
- **`source_lang`**: `string`, default: `"auto"`
- **`timing_mode`**: `string`, default: `"hybrid"`

**Example:**

```json
{
  "name": "Launch video",
  "url": "https://www.youtube.com/watch?v=abc123",
  "source_lang": "auto",
  "target_lang": "fr",
  "keep_background": true,
  "timing_mode": "hybrid",
  "default_voice_id": "",
  "default_voice_source": "library",
  "default_voice_model": "",
  "clone_voices": false
}
```

## Responses

### 200 Successful Response

**Content type:** `application/json`

`any`

**Example:**

```json
null
```

### 422 Validation Error

**Content type:** `application/json`

schema: `HTTPValidationError`

- **`detail`**: `array`

  **Items:**

  schema: `ValidationError`
  - **`loc` (required)**: `array of (string | integer)`
  - **`msg` (required)**: `string`
  - **`type` (required)**: `string`
  - **`ctx`**: `object`
  - **`input`**: `any`

**Example:**

```json
{
  "detail": [
    {
      "loc": [
        ""
      ],
      "msg": "",
      "type": "",
      "input": null,
      "ctx": {}
    }
  ]
}
```

## Schemas

- `DubbingYoutubeCreateRequest` — shown above.
- `HTTPValidationError` — shown above.
- `ValidationError` — shown above.
